Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class ActionConditionProcessor

    java.lang.Object
      oracle.ifs.utils.action.ActionConditionProcessor

    public class ActionConditionProcessor

extends java.lang.Object

A convenience class that evaluates ActionConditions. It uses the specific subclass of ActionCondition identified by a String type to evaluate a given operation. Default registered ActionConditions types are StringActionCondition and NumberActionCondition identified by "STRING" and "NUMBER" respectively. Clients are allowed to add and remove their own ActionCondition types.

Method Summary
`void` | `addActionConditionType(java.lang.String typeID, ActionCondition type)` Allows clients to register new ActionCondition types identified by typeID.
`boolean` | `evaluate(java.lang.String typeID, java.lang.String op, java.lang.String left, java.lang.String right)` Evaluates (left op right) using the evaluate() method of the specific ActionCondition type identified by typeID.
`static ActionConditionProcessor` | `getInstance()` Returns a static instance of an ActionConditionProcessor.
`void` | `removeActionConditionType(java.lang.String typeID)` Allows clients to remove a registered ActionCondition types identified by typeID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ActionConditionProcessor getInstance()

  Description copied from class: `ActionConditionProcessor`
  Returns a static instance of an ActionConditionProcessor. The default ActionCondition types registered are:
  - `StringActionCondition` identified by "STRING"
  - `NumberActionCondition` identified by "NUMBER"

### evaluate

    public boolean evaluate(java.lang.String typeID,
                            java.lang.String op,
                            java.lang.String left,
                            java.lang.String right)

  Description copied from class: `ActionConditionProcessor`
  Evaluates (left op right) using the evaluate() method of the specific ActionCondition type identified by typeID. The semantics of the operation specified are defined by the ActionCondition type specified.

  Parameters:
    `typeID` - String identifying the specific ActionCondition to evaulate op on the left and right operands. Default valid values are:
    - "STRING" identifying `StringActionCondition`
    - "NUMBER" identifying `NumberActionCondition`
    `op` - The operation to perform on the left and right operands. See the specific ActionCondition type for valid operations and their semantics.
    `left` - The left operand.
    `right` - The right operand.
  Returns:
    true if (left op right) is successful as evaluated by the specific ActionCondition.evaluate()
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid typeID is specified.

### addActionConditionType

    public void addActionConditionType(java.lang.String typeID,
                                       ActionCondition type)

  Description copied from class: `ActionConditionProcessor`
  Allows clients to register new ActionCondition types identified by typeID. If typeID is not unique, the ActionCondition will be overwritten.

### removeActionConditionType

    public void removeActionConditionType(java.lang.String typeID)

  Description copied from class: `ActionConditionProcessor`
  Allows clients to remove a registered ActionCondition types identified by typeID. Does nothing if the typeID is not present.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD